New to NPM and having errors installing node-red


(Phillip Wilson) #1

I am attempting to install node-red on my server and I get the following:

~/Documents/code/node-red$ npm install
npm WARN optional Skipping failed optional dependency //bcrypt:
npm WARN write EPROTO 4396276994432:error:140943FC:SSL routines:ssl3_read_bytes:sslv3 alert bad record mac:s3_pkt.c:1500:SSL alert number 20
npm WARN 4396276994432:error:1409E0E5:SSL routines:ssl3_write_bytes:ssl handshake failure:s3_pkt.c:659:
npm WARN
npm ERR! Linux 4.15.0-38-generic
npm ERR! argv “/usr/bin/node” “/usr/bin/npm” “install”
npm ERR! node v8.10.0
npm ERR! npm v3.5.2
npm ERR! code EPROTO
npm ERR! errno EPROTO
npm ERR! syscall write

npm ERR! write EPROTO 4396276994432:error:140943FC:SSL routines:ssl3_read_bytes:sslv3 alert bad record mac:s3_pkt.c:1500:SSL alert number 20
npm ERR! 4396276994432:error:1409E0E5:SSL routines:ssl3_write_bytes:ssl handshake failure:s3_pkt.c:659:
npm ERR!
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

npm ERR! Please include the following file with any support request:
npm ERR! /home/zoltan/Documents/code/node-red/npm-debug.log

npm-debug.log (3.8 KB)


(Lars Willighagen) #2

Are you using a proxy that isn’t configured with npm?


(Phillip Wilson) #3

No, I have a direct connection to the internet. However, I do not know if I am passing through some secure firewall.


(Lars Willighagen) #4

The only other (but more general) advice I can give is trying a newer version.


(Phillip Wilson) #5

I am trying to upgrade NPM but now I think I may be running into a arch support issue possibility. I am running Ubuntu 18.04 on the s390x architecture.


(system) #6

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.